Skip to main content
Resource Center/Hardware/Primary Storage Operations/NFS Primary Storage Operations

AddNfsPrimaryStorage

AddNfsPrimaryStorage

POST/zstack/v1/primary-storage/nfs

Operation ID

AddNfsPrimaryStorage

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • url
      StringRequired

      The public URL of NFS. Format: nfs-host:/path/to/export.

    • name
      StringRequired

      The name of the NFS primary storage.

    • description
      String

      Optional. The detailed description of the NFS primary storage.

    • type
      String

      Optional. The primary storage type: NFS.

    • zoneUuid
      StringRequired

      The zone UUID.

    • resourceUuid
      String

      Optional. The resource UUID. If specified, the NFS primary storage will use this field as the UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The short description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PrimaryStorageInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • url
      StringRequired

      The URL.

    • description
      StringRequired

      The detailed description of the resource.

    • totalCapacity
      LongRequired

      The total capacity.

    • availableCapacity
      LongRequired

      The available capacity.

    • totalPhysicalCapacity
      LongRequired

      The total physical capacity.

    • availablePhysicalCapacity
      LongRequired

      The available physical capacity.

    • systemUsedCapacity
      LongRequired

      The system used capacity.

    • type
      StringRequired

      The resource type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • mountPath
      StringRequired

      The mount path.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUIDs.